scala.swing

# Slider

#### class Slider extends Component with Wrapper with Publisher

Lets users select a value from a given range. Visually, this is represented as a draggable knob on a horizontal or vertical bar.

Fires a ValueChanged event whenever the slider's value changes and when the knob is released.

Source
  Slider.scala
See also

  javax.swing.JSlider

Linear Supertypes
Wrapper, Orientable, Wrapper, Oriented, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Slider
2. Wrapper
3. Orientable
4. Wrapper
5. Oriented
6. Component
7. UIElement
8. LazyPublisher
9. Publisher
10. Reactor
11. Proxy
12. AnyRef
13. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Slider()

### Type Members

1. #### type OrientedMixin = AnyRef { ... /* 2 definitions in type refinement */ }

   Attributes
     protected
   Definition Classes
     Wrapper

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def adjusting: Boolean

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def background: Color

   Definition Classes
     UIElement

9. #### def background_=(c: Color): Unit

   Definition Classes
     UIElement

10. #### def border: Border

    Definition Classes
      Component

11. #### def border_=(b: Border): Unit

    Definition Classes
      Component

12. #### def bounds: Rectangle

    Definition Classes
      UIElement

13. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

14. #### def cursor: Cursor

    Definition Classes
      UIElement

15. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

16. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

17. #### def displayable: Boolean

    Definition Classes
      UIElement

18. #### def enabled: Boolean

    Definition Classes
      Component

19. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

20. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

22. #### def extent: Int

23. #### def extent_=(v: Int): Unit

24. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

25. #### def focusable: Boolean

    Definition Classes
      Component

26. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

27. #### def font: Font

    Definition Classes
      UIElement

28. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

29. #### def foreground: Color

    Definition Classes
      UIElement

30. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

31. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

32. #### def hasFocus: Boolean

    Definition Classes
      Component

33. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

34. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

35. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

36. #### var initP: JComponent

    Definition Classes
      Component

37. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

38. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

39. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

40. #### object keys extends Publisher

41. #### def labels: Map[Int, Label]

42. #### def labels_=(l: Map[Int, Label]): Unit

43. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

44. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

45. #### def locale: Locale

    Definition Classes
      UIElement

46. #### def location: Point

    Definition Classes
      UIElement

47. #### def locationOnScreen: Point

    Definition Classes
      UIElement

48. #### def majorTickSpacing: Int

49. #### def majorTickSpacing_=(v: Int): Unit

50. #### def max: Int

51. #### def max_=(v: Int): Unit

52. #### def maximumSize: Dimension

    Definition Classes
      UIElement

53. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

54. #### def min: Int

55. #### def min_=(v: Int): Unit

56. #### def minimumSize: Dimension

    Definition Classes
      UIElement

57. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

58. #### def minorTickSpacing: Int

59. #### def minorTickSpacing_=(v: Int): Unit

60. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

61. #### def name: String

    Definition Classes
      Component

62. #### def name_=(s: String): Unit

    Definition Classes
      Component

63. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

64. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

65. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

66. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

67. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

68. #### def opaque: Boolean

    Definition Classes
      Component

69. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

70. #### def orientation: Value

    Definition Classes
      Wrapper → Oriented

71. #### def orientation_=(o: Value): Unit

    Definition Classes
      Wrapper → Orientable

72. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

73. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

74. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

75. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

76. #### def paintLabels: Boolean

77. #### def paintLabels_=(v: Boolean): Unit

78. #### def paintTicks: Boolean

79. #### def paintTicks_=(v: Boolean): Unit

80. #### def paintTrack: Boolean

81. #### def paintTrack_=(v: Boolean): Unit

82. #### lazy val peer: JSlider

    Definition Classes
      Slider → Wrapper → Component → UIElement

83. #### def preferredSize: Dimension

    Definition Classes
      UIElement

84. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

85. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

86. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

87. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

88. #### def repaint(): Unit

    Definition Classes
      UIElement

89. #### def requestFocus(): Unit

    Definition Classes
      Component

90. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

91. #### def revalidate(): Unit

    Definition Classes
      Component

92. #### def self: Component

    Definition Classes
      UIElement → Proxy

93. #### def showing: Boolean

    Definition Classes
      UIElement

94. #### def size: Dimension

    Definition Classes
      UIElement

95. #### def snapToTicks: Boolean

96. #### def snapToTicks_=(v: Boolean): Unit

97. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

98. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

99. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Component → Proxy → AnyRef → Any

100. #### def toolkit: Toolkit

     Definition Classes
       UIElement

101. #### def tooltip: String

     Definition Classes
       Component

102. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

103. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

104. #### def value: Int

105. #### def value_=(v: Int): Unit

106. #### def visible: Boolean

     Definition Classes
       UIElement

107. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

108. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

109. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

110. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

111. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

112. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

113. #### def yLayoutAlignment: Double

     Definition Classes
       Component

114. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: Slider.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from Wrapper

### Inherited from Orientable

### Inherited from Wrapper

### Inherited from Oriented

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any